using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new ObservableCollection<MyObject>();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DataContext = new ObservableCollection<MyObject>(from i in Enumerable.Range(0, 1000000) select new MyObject() { ID = i, Name = string.Format("Name{0}", i) });
        }
    }

    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
